package com.inkasso.factoring.steelwaiter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * <p>
 * 钢小二-销售单信息
 * </p>
 *
 * @author liutao
 * @since 2023-10-28
 */
@TableName("sell_bill")
public class SellBill {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 下游验收单-基础信息表
     */
    @TableField("c_acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 租户ID
     */
    @TableField("tenant_id")
    private Long tenantId;

    /**
     * 清库版本号
     */
    @TableField("clear_version")
    private String clearVersion;

    /**
     * 销售单号
     */
    @TableField("sell_bill_number")
    private String sellBillNumber;

    /**
     * 最后更新日期 
     */
    @TableField("last_modify_time")
    private Date lastModifyTime;

    /**
     * 销售单销售公司Id
     */
    @TableField("company_id")
    private Long companyId;

    /**
     * 销售单销售公司
     */
    @TableField("company_name")
    private String companyName;

    /**
     * 销售单客户Id 
     */
    @TableField("customer_id")
    private Long customerId;

    /**
     * 销售单客户
     */
    @TableField("customer_name")
    private String customerName;

    /**
     * 工程Id
     */
    @TableField("project_id")
    private Long projectId;

    /**
     * 销售单工程
     */
    @TableField("project_name")
    private String projectName;

    /**
     * 代理结算单位Id
     */
    @TableField("settlement_center_id")
    private Long settlementCenterId;

    /**
     * 代理结算（银科下面卡服保、长盈保贸易抬头）
     */
    @TableField("settlement_center_name")
    private String settlementCenterName;

    /**
     * 1是 0否
     */
    @TableField("audit")
    private Integer audit;

    /**
     * 1未提交 2审批中 3已审批
     */
    @TableField("state")
    private Integer state;

    /**
     * 审单日期
     */
    @TableField("audit_date")
    private Date auditDate;

    /**
     * 1库存销售2先销后进
     */
    @TableField("type")
    private Integer type;

    /**
     * 签收日期
     */
    @TableField("receipt_date")
    private Date receiptDate;

    /**
     * 附件地址
     */
    @TableField("attachment_url")
    private String attachmentUrl;

    public SellBill() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getClearVersion() {
        return clearVersion;
    }

    public void setClearVersion(String clearVersion) {
        this.clearVersion = clearVersion;
    }

    public String getSellBillNumber() {
        return sellBillNumber;
    }

    public void setSellBillNumber(String sellBillNumber) {
        this.sellBillNumber = sellBillNumber;
    }

    public Date getLastModifyTime() {
        return lastModifyTime;
    }

    public void setLastModifyTime(Date lastModifyTime) {
        this.lastModifyTime = lastModifyTime;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getSettlementCenterId() {
        return settlementCenterId;
    }

    public void setSettlementCenterId(Long settlementCenterId) {
        this.settlementCenterId = settlementCenterId;
    }

    public String getSettlementCenterName() {
        return settlementCenterName;
    }

    public void setSettlementCenterName(String settlementCenterName) {
        this.settlementCenterName = settlementCenterName;
    }

    public Integer getAudit() {
        return audit;
    }

    public void setAudit(Integer audit) {
        this.audit = audit;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getReceiptDate() {
        return receiptDate;
    }

    public void setReceiptDate(Date receiptDate) {
        this.receiptDate = receiptDate;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }
}
